require_dependency 'el_finder2/application_controller'

module ElFinder2
  class ElFinderController < ApplicationController
    def command
      Command.dispatch(self, params.dup)
      fail Exception.new('Command failed to render') unless performed?
    rescue ElFinder2::Error => ex
      render json: { error: ex.payload }
    end
  end
end
