class CreateFiles < ActiveRecord::Migration
  def change
    create_table :el_finder2_files do |t|
      t.integer :parent_id
      t.string :type, null: false
      t.string :name, null: false
      t.attachment :content
      t.string :content_fingerprint
      t.string :dimensions
      t.timestamps null: false
    end
    add_foreign_key :el_finder2_files, :el_finder2_files, column: :parent_id
  end
end
