module ElFinder2
  class Document < ElFinder2::File
    has_attached_file :content, ElFinder2.configuration.document_attachment

    validates_attachment :content, ElFinder2.configuration.document_validations

    delegate :content_type, :size, :url, to: :content
  end
end
