module ElFinder2
  class FolderSerializer < FileSerializer
    attributes :mime, :volumeid, :dirs

    # def initialize(object, options = {})
    #   super
    #   @tree = options.fetch(:tree)
    # end

    def filter(keys)
      if object.parent_id
        super
      else
        super + [:volumeid]
      end
    end

    def dirs
      object.children.where(type: 'ElFinder2::Folder').exists? ? 1 : 0
    end

    def mime
      'directory'
    end

    def volumeid
      ElFinder2::VOLUME_ID + '_'
    end
  end
end
