module ElFinder2
  module Command
    class Base
      extend Forwardable
      include ElFinder2::HashUtils

      def_delegators :@controller, :render, :response, :redirect_to, :send_data

      def initialize(controller, params)
        @controller = controller
        parse_params!(params)
      end

      def execute
        fail ElFinder2::Error.new('errCmdNoSupport')
      end

      private def parse_params!(params)
      end
    end
  end
end
